Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class JcrQueryResult.MultiSelectorQueryResultRow

    java.lang.Object
      org.modeshape.jcr.query.JcrQueryResult.MultiSelectorQueryResultRow

All Implemented Interfaces:
  Row

Enclosing class:
  JcrQueryResult

    protected static class JcrQueryResult.MultiSelectorQueryResultRow

extends Object
implements Row

Field Summary
`protected JcrQueryResult.QueryResultRowIterator` | `iterator`
`protected Object[]` | `tuple`

Constructor Summary
`protected` | `JcrQueryResult.MultiSelectorQueryResultRow(JcrQueryResult.QueryResultRowIterator iterator, Node[] nodes, int[] locationIndexes, Object[] tuple)`

Method Summary
`Node` | `getNode()`
`Node` | `getNode(String selectorName)` Returns the Node corresponding to this Row and the specified selector.
`String` | `getPath()`
`String` | `getPath(String selectorName)`
`double` | `getScore()`
`double` | `getScore(String selectorName)`
`Value` | `getValue(String columnName)`
`Value[]` | `getValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final JcrQueryResult.QueryResultRowIterator iterator

### tuple

    protected final Object[] tuple

Constructor Detail

### JcrQueryResult.MultiSelectorQueryResultRow

    protected JcrQueryResult.MultiSelectorQueryResultRow(JcrQueryResult.QueryResultRowIterator iterator,
                                                         Node[] nodes,
                                                         int[] locationIndexes,
                                                         Object[] tuple)

Method Detail

### getNode

    public Node getNode(String selectorName)
                 throws RepositoryException

  Returns the Node corresponding to this Row and the specified selector.

  Specified by:
    `getNode` in interface `Row`
  Parameters:
    `selectorName` - the name of the selector for which the node is to be returned
  Returns:
    the node
  Throws:
    `RepositoryException` - if selectorName is not the alias of a selector in this query or if another error occurs.
  See Also:
    `Row.getNode(java.lang.String)`

### getValue

    public Value getValue(String columnName)
                   throws ItemNotFoundException,
                          RepositoryException

  Specified by:
    `getValue` in interface `Row`
  Throws:
    `ItemNotFoundException`
    `RepositoryException`
  See Also:
    `Row.getValue(java.lang.String)`

### getValues

    public Value[] getValues()
                      throws RepositoryException

  Specified by:
    `getValues` in interface `Row`
  Throws:
    `RepositoryException`
  See Also:
    `Row.getValues()`

### getNode

    public Node getNode()
                 throws RepositoryException

  Specified by:
    `getNode` in interface `Row`
  Throws:
    `RepositoryException`

### getPath

    public String getPath()
                   throws RepositoryException

  Specified by:
    `getPath` in interface `Row`
  Throws:
    `RepositoryException`

### getScore

    public double getScore()
                    throws RepositoryException

  Specified by:
    `getScore` in interface `Row`
  Throws:
    `RepositoryException`

### getPath

    public String getPath(String selectorName)
                   throws RepositoryException

  Specified by:
    `getPath` in interface `Row`
  Throws:
    `RepositoryException`

### getScore

    public double getScore(String selectorName)
                    throws RepositoryException

  Specified by:
    `getScore` in interface `Row`
  Throws:
    `RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.